MsWksDBParserInternal::Forms Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MsWksDBParserInternal::Forms Class Reference

a class used to store a list of forms More...

## Public Member Functions
| Forms ()
| the constructor More...

## Public Attributes
int | m_numForms
| the number of forms More...
MWAWFont | m_font
| the default font More...
int | m_backColor
| the default font back color More...
MWAWBox2f | m_bdbox [2]
| two bdbox More...
std::vector< Form > | m_listForms
| the list of forms More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Forms const &form)
| operator<< More...

## Detailed Description

a class used to store a list of forms

## Constructor & Destructor Documentation

## § Forms()

MsWksDBParserInternal::Forms::Forms | ( |  | ) |
| inline

the constructor

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Forms const & | form
| ) |  |
| friend

operator<<

## Member Data Documentation

## § m_backColor

int MsWksDBParserInternal::Forms::m_backColor

the default font back color

Referenced by MsWksDBParserInternal::operator<<(), and MsWksDBParser::readForms().

## § m_bdbox

MWAWBox2f MsWksDBParserInternal::Forms::m_bdbox[2]

two bdbox

Referenced by MsWksDBParserInternal::operator<<(), and MsWksDBParser::readForms().

## § m_extra

std::string MsWksDBParserInternal::Forms::m_extra

extra data

Referenced by MsWksDBParserInternal::operator<<(), and MsWksDBParser::readForms().

## § m_font

MWAWFont MsWksDBParserInternal::Forms::m_font

the default font

Referenced by MsWksDBParser::readForms().

## § m_listForms

std::vector<Form> MsWksDBParserInternal::Forms::m_listForms

the list of forms

Referenced by MsWksDBParser::readForm().

## § m_numForms

int MsWksDBParserInternal::Forms::m_numForms

the number of forms

Referenced by MsWksDBParserInternal::operator<<().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx